## libdnf 0.55.2

=== CMakeLists.txt ===
# print initial information about the project
message("Running CMake on libdnf...")
project(libdnf C CXX)


# cmake requirements and policies
cmake_minimum_required(VERSION 2.8.5)
cmake_policy(SET CMP0005 OLD)
# Avoid a warning because "hth" links to
# the in-tree libhawkey, but uses pkg-config to find
# GLib.  There may be a better way to do this...
cmake_policy(SET CMP0003 NEW)
include(GNUInstallDirs)


# use project specific cmake modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
if(${CMAKE_VERSION} VERSION_LESS 3)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH};${CMAKE_SOURCE_DIR}/cmake/modules-cmake-2)
endif()


# print exact name and version of the compiled project
include(VERSION.cmake)
message("Building ${PROJECT_NAME} version: ${LIBDNF_VERSION}")


# build options
option(WITH_BINDINGS "Enables python/SWIG bindings" ON)
option(WITH_GTKDOC "Enables libdnf GTK-Doc HTML documentation" ON)
option(WITH_HTML "Enables hawkey HTML generation" ON)
option(WITH_MAN "Enables hawkey man page generation" ON)
option(WITH_ZCHUNK "Build with zchunk support" ON)
option(ENABLE_RHSM_SUPPORT "Build with Red Hat Subscription Manager support?" OFF)
option(ENABLE_SOLV_URPMREORDER "Build with support for URPM-like solution reordering?" OFF)


# build options - debugging
option(WITH_SANITIZERS "Build with address, leak and undefined sanitizers (DEBUG ONLY)" OFF)


# load pkg-config first; it's required by other modules
find_package(PkgConfig REQUIRED)
if(APPLE)
    set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib64/pkgconfig")
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH};/usr/local/share/cmake/Modules/)
    include_directories(/usr/local/include)
endif()


# build dependencies
find_package(Gpgme REQUIRED)
find_package(LibSolv 0.6.30 REQUIRED COMPONENTS ext)
find_package(OpenSSL REQUIRED)


# build dependencies via pkg-config
pkg_check_modules(CHECK REQUIRED check)
pkg_check_modules(GLIB REQUIRED gio-unix-2.0>=2.46.0)
include_directories(${GLIB_INCLUDE_DIRS})
pkg_check_modules(JSONC REQUIRED json-c)
include_directories(${JSONC_INCLUDE_DIRS})
pkg_check_modules(LIBMODULEMD REQUIRED modulemd-2.0>=2.5.0)
pkg_check_modules(REPO REQUIRED librepo>=0.11.0)
include_directories(${REPO_INCLUDE_DIRS})
link_directories(${REPO_LIBRARY_DIRS})
pkg_check_modules(RPM REQUIRED rpm>=4.11.0)
pkg_check_modules(SMARTCOLS REQUIRED smartcols)
pkg_check_modules(SQLite3 REQUIRED sqlite3)

# always enable linking with libdnf utils
include_directories(${CMAKE_SOURCE_DIR} libdnf/utils/)

if (WITH_ZCHUNK)
    pkg_check_modules(ZCHUNKLIB zck>=0.9.11 REQUIRED)
    set (CMAKE_CXX_FLAGS          "${CMAKE_CXX_FLAGS} -DWITH_ZCHUNK")
    set (CMAKE_CXX_FLAGS_DEBUG    "${CMAKE_CXX_FLAGS_DEBUG} -DWITH_ZCHUNK")
endif ()

if(ENABLE_RHSM_SUPPORT)
    pkg_check_modules(RHSM REQUIRED librhsm>=0.0.3)
    include_directories(${RHSM_INCLUDE_DIRS})
endif()


# glibc: check if fnmatch.h has FNM_CASEFOLD symbol
include(CheckSymbolExists)
list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)
check_symbol_exists(FNM_CASEFOLD "fnmatch.h" HAS_FNM_CASEFOLD)
if(NOT HAS_FNM_CASEFOLD)
    message(SEND_ERROR "FNM_CASEFOLD is not available in fnmatch.h")
endif()

# python
if(WITH_BINDINGS)
    if(NOT PYTHON_DESIRED)
        find_package(PythonInterp REQUIRED)
    elseif(${PYTHON_DESIRED} STREQUAL "2")
        find_package(PythonInterp 2 EXACT REQUIRED)
    elseif(${PYTHON_DESIRED} STREQUAL "3")
        find_package(PythonInterp 3 EXACT REQUIRED)
    elseif(EXISTS ${PYTHON_DESIRED})
        set(PYTHON_EXECUTABLE ${PYTHON_DESIRED})
        find_package(PythonInterp REQUIRED)
    else()
        message(FATAL_ERROR "Invalid PYTHON_DESIRED value: " ${PYTHON_DESIRED})
    endif()
    find_package(PythonLibs REQUIRED)
endif()


# compiler options
add_compile_options(-Wcast-align -Wno-uninitialized -Wredundant-decls -Wwrite-strings -Wformat-nonliteral -Wmissing-format-attribute -Wsign-compare -Wtype-limits -Wuninitialized -Wall -Wl,--as-needed)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu11 -Wmissing-prototypes -Waggregate-return -Wshadow -Werror=implicit-function-declaration")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wmissing-declarations")

# apple: turn rpath off
set(CMAKE_MACOSX_RPATH 0)

# package/project version
add_definitions(-DPACKAGE_VERSION=\\"${LIBDNF_VERSION}\\")

# The libdnf API is under development now. This enables it for internal usage.
add_definitions(-DLIBDNF_UNSTABLE_API)

# gettext
add_definitions(-DGETTEXT_DOMAIN=\\"libdnf\\")
add_definitions(-DG_LOG_DOMAIN=\\"libdnf\\")

# gpgme: LargeFile Support is required on 32bit architectures
add_definitions(-D_FILE_OFFSET_BITS=64)

# tests
add_definitions(-DTESTDATADIR=\\"${CMAKE_SOURCE_DIR}/data/tests\\")

# librhsm
if(ENABLE_RHSM_SUPPORT)
    add_definitions(-DRHSM_SUPPORT)
endif()

# libsolv
if(ENABLE_SOLV_URPMREORDER)
    add_definitions(-DLIBSOLV_FLAG_URPMREORDER=1)
endif()


if(WITH_SANITIZERS)
    message(WARNING "Building with sanitizers enabled!")
    add_compile_options(-fsanitize=address -fsanitize=undefined -fsanitize=leak)
    link_libraries(asan ubsan)
endif()


# build binaries
add_subdirectory(libdnf)
if(WITH_BINDINGS)
    # add_subdirectory(bindings/perl)
    add_subdirectory(bindings/python)
endif()


# build translations
add_subdirectory(po)


# build docs
add_subdirectory(docs/libdnf)
if(WITH_BINDINGS)
    add_subdirectory(docs/hawkey)
endif()


# build tests
enable_testing()
add_subdirectory(tests)
if(WITH_BINDINGS)
    add_subdirectory(python/hawkey)
endif()


add_subdirectory(etc)

=== tests/CMakeLists.txt ===
add_subdirectory(libdnf/module/modulemd)
add_subdirectory(libdnf/module)
add_subdirectory(libdnf/repo)
add_subdirectory(libdnf/transaction)
add_subdirectory(hawkey)
add_subdirectory(libdnf)



pkg_check_modules(CPPUNIT REQUIRED cppunit)

set(LIBDNF_TEST_SOURCES
    ${LIBDNF_TEST_SOURCES}
    ${CMAKE_CURRENT_SOURCE_DIR}/run_tests.cpp
)

add_executable(run_tests ${LIBDNF_TEST_SOURCES} ${LIBDNF_TEST_HEADERS})
target_link_libraries(run_tests libdnf cppunit)

add_test(NAME test_cpp COMMAND ${CMAKE_CURRENT_BINARY_DIR}/run_tests DEPENDS run_tests COMMENT "Running CPPUNIT tests...")
set_property(TEST test_cpp PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/libdnf")

=== tests/libdnf/CMakeLists.txt ===
add_executable(test_libdnf_main dnf-self-test.c)

configure_file(${CMAKE_SOURCE_DIR}/data/tests/modules/yum.repos.d/test.repo.in ${CMAKE_SOURCE_DIR}/data/tests/modules/yum.repos.d/test.repo @ONLY)

target_link_libraries(test_libdnf_main
    libdnf
    ${REPO_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${GLIB_GOBJECT_LIBRARIES}
    ${GLIB_GIO_LIBRARIES}
    ${GLIB_GIO_UNIX_LIBRARIES}
    ${SOLV_LIBRARY}
    ${SOLVEXT_LIBRARY}
    ${RPMDB_LIBRARY}
)

add_test(test_libdnf_main test_libdnf_main)
set_property(TEST test_libdnf_main PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/libdnf")

## libdnf 0.48.0

=== debian/changelog ===
libdnf (0.48.0-2+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 17 Oct 2020 22:14:20 +0200

libdnf (0.48.0-2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update to libdnf-0.48.0
  * version 0.48.0-1

  [ Marek Marczykowski-Górecki ]
  * debian: adjust libsolv deps version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 17 Oct 2020 22:14:20 +0200

libdnf (0.48.0-1) unstable; urgency=medium

  * Update to libdnf-0.48.0

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 11 Oct 2020 12:30:22 +0200

libdnf (0.35.3-1) unstable; urgency=medium

  * Initial commit

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Tue, 29 Sep 2020 17:00:00 +0200

=== debian/control ===
Source: libdnf
Section: libs
Priority: optional
Maintainer: Mihai Moldovan <ionic@ionic.de>
Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
Build-Depends: debhelper (>= 9~),
 dh-python,
 python3-dev,
 libpython3-dev,
 cmake (>= 2.8.5-1~),
 pkg-config,
 libglib2.0-dev (>= 2.50.3-2.1~),
 libsolv-dev (>= 0.7.14-1.1~),
 libsolvext-dev (>= 0.7.14-1.1~),
 libsolv-tools (>= 0.7.14-1.1~),
 librpm-dev (>= 4.14.2.1+dfsg1-1.1~),
 libzstd-dev,
 librepo-dev (>= 1.10.0-1~),
 gtk-doc-tools,
 python3-sphinx,
 check,
 python3-nose,
 libgpgme-dev,
 libssl-dev,
 libjson-c-dev,
 libmodulemd-dev,
 libsmartcols-dev (>= 2.29.2-1+deb9u1.1~),
 libsqlite3-dev,
 gettext,
 swig,
 libcppunit-dev,
 doxygen,
 python3-breathe,
 rpm-common (>= 4.14.2.1+dfsg1-1.1~),
 valgrind,
Standards-Version: 4.4.0.1
Homepage: https://github.com/rpm-software-management/libdnf
Vcs-Browser: https://github.com/rpm-software-management/libdnf
Vcs-Git: https://github.com/rpm-software-management/libdnf.git
#Testsuite: autopkgtest-pkg-python

Package: libdnf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libdnf2 (= ${binary:Version}),
 libsolv-dev (>= 0.7.14-1.1~),
 libsolvext-dev (>= 0.7.14-1.1~),
Breaks: gir1.2-libdnf-1.0 (<< ${binary:Version})
Description: libdnf - development files
 A library providing simplified C and Python APIs to libsolv.
 .
 This package contains the development header files for the
 libdnf library.

Package: libdnf1
Depends: ${misc:Depends},
 libdnf2,
Architecture: all
Multi-Arch: foreign
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libdnf2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdnf2-common (= ${source:Version}),
Replaces: libdnf1 (<< 0.35.3-1~)
Breaks: libdnf1 (<< 0.35.3-1~)
Description: libdnf - shared library
 A library providing simplified C and Python APIs to libsolv.
 .
 This package provides the libdnf shared library.

Package: libdnf2-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: libdnf - common files
 A library providing simplified C and Python APIs to libsolv.
 .
 This package provides common files for the libdnf library.

Package: libdnf-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
Description: Documentation for the libdnf library (common documentation)
 A library providing simplified C and Python APIs to libsolv.
 .
 This package installs common documentation for the libdnf
 C bindings.

Package: python3-hawkey
Architecture: any
Multi-Arch: no
Section: python
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 libdnf2 (= ${binary:Version}),
 python3-libdnf (= ${binary:Version}),
Suggests: python3-hawkey-docs
Description: Python bindings for the hawkey library (Python 3)
 A library providing simplified C and Python APIs to libsolv.
 .
 This package installs the hawkey library for Python 3.

Package: python3-hawkey-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends},
Description: Python 3 bindings for the hawkey library (common documentation)
 A library providing simplified C and Python APIs to libsolv.
 .
 This package installs common documentation for the hawkey Python
 3 bindings.

Package: python3-libdnf
Architecture: any
Multi-Arch: no
Section: python
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
 libdnf2 (= ${binary:Version}),
Description: Python bindings for the libdnf library (Python 3)
 A library providing simplified C and Python APIs to libsolv.
 .
 This package installs the libdnf library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --parallel --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- -DWITH_BINDINGS:BOOL=ON -DWITH_GTKDOC:BOOL=ON \
                                                    -DWITH_HTML:BOOL=ON -DWITH_MAN:BOOL=ON \
                                                    -DENABLE_RHSM_SUPPORT:BOOL=OFF -DENABLE_SOLV_URPMREORDER:BOOL=OFF \
                                                    -DDISABLE_VALGRIND:BOOL=ON -DWITH_ZCHUNK:BOOL=OFF\
                                                    -DPYTHON_DESIRED:STRING=3 -DCMAKE_INSTALL_PREFIX:PATH="/usr" \
                                                    -DLIB:STRING="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)"
	if dpkg --compare-versions "$$(dpkg-query -f='$${Version}' --show 'libsmartcols-dev')" 'ge' '2.30'; then \
		sed -i -e '/^@LIBSMARTCOLS_COMPAT@/s/^@LIBSMARTCOLS_COMPAT@/\/\//' 'libdnf/utils/smartcols/Cell.hpp'; \
	else \
		sed -i -e '/^@LIBSMARTCOLS_COMPAT@/s/^@LIBSMARTCOLS_COMPAT@//' 'libdnf/utils/smartcols/Cell.hpp'; \
	fi

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all doc-html doc-gtk doc

override_dh_auto_install:
	dh_auto_install --builddirectory=build
	# Remove doctree files (redundant, conflicts with reproducible builds)
	rm -rfv 'build/docs/hawkey/html/.doctrees'
	# Use system-provides files.
	rm -fv 'build/docs/hawkey/html/_static/jquery.js' 'build/docs/hawkey/html/_static/underscore.js'

override_dh_auto_clean:
	rm -f 'libdnf/dnf-version.h'
	dh_auto_clean --builddirectory=build

override_dh_auto_test:
	mkdir '$(CURDIR)/debian/tests-home'
	HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-V'

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	if dpkg --compare-versions "$$(dpkg-query -f='$${Version}' --show 'debhelper')" 'ge' '12'; then \
		dh_install; \
	else \
		dh_install --fail-missing ; \
	fi

override_dh_installchangelogs:
	# Do not try to install a history directory within docs.
	dh_installchangelogs -Xhistory

## libdnf 0.55.0

=== debian/changelog ===
libdnf (0.55.0-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 28 Nov 2020 10:01:01 +0100

libdnf (0.55.0-1) unstable; urgency=medium

  * Add reproducible=+fixfilepath flag
  * Make lintian happier
  * Reformat patches with original author's description
  * Update to libdnf-0.55.0

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sat, 28 Nov 2020 10:01:01 +0100

libdnf (0.54.2-1) unstable; urgency=medium

  * Update to libdnf-0.54.2

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 01 Nov 2020 22:19:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # output every command that modifies files on the build system.
 # export DH_VERBOSE = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
 %:
-	dh "${@}" --parallel --buildsystem=cmake --with=python3
+	dh "${@}" --buildsystem=cmake --with=python3
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- -DWITH_BINDINGS:BOOL=ON -DWITH_GTKDOC:BOOL=ON \

## libdnf 0.55.2

=== debian/changelog ===
libdnf (0.55.2-6) unstable; urgency=high

  * Add patch for signature check with rpmcliVerifySignatures. Closes: #986802.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 14 Apr 2021 21:26:57 +0200

libdnf (0.55.2-5) unstable; urgency=medium

  * Team upload.

  [ Marek Marczykowski-Górecki ]
  * Use shlibs file instead of symbols.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Feb 2021 01:17:07 +0100

libdnf (0.55.2-4) unstable; urgency=medium

  * Team upload.
  * Source upload for testing migration.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 13:05:37 +0100

libdnf (0.55.2-3) unstable; urgency=medium

  * debian/copyright: Update and specify copyright holders

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 02 Feb 2021 14:13:30 +0100

libdnf (0.55.2-2) unstable; urgency=medium

  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove listed license files (COPYING) from copyright.
  * Remove unnecessary get-orig-source-target.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 30 Dec 2020 09:38:25 -0000

libdnf (0.55.2-1) unstable; urgency=medium

  * Initial upload.
  * libdnf, libcomps and librepo are all needed for dnf, see #978627 (ITP bug
    for dnf) and https://github.com/QubesOS/qubes-issues/issues/5940 for more
    details on this packaging efford.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 26 Dec 2020 10:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mihai Moldovan <ionic@ionic.de>
 Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 10),
  dh-python,
  python3-dev,
  libpython3-dev,
@@ -33,10 +33,10 @@
  python3-breathe,
  rpm-common (>= 4.14.2.1+dfsg1-1.1~),
  valgrind,
-Standards-Version: 4.4.0.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/rpm-software-management/libdnf
-Vcs-Browser: https://github.com/rpm-software-management/libdnf
-Vcs-Git: https://github.com/rpm-software-management/libdnf.git
+Vcs-Browser: https://salsa.debian.org/fepitre/libdnf
+Vcs-Git: https://salsa.debian.org/fepitre/libdnf.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: libdnf-dev
@@ -65,6 +65,7 @@
  This is a transitional package. It can safely be removed.
 
 Package: libdnf2
+Provides: libdnf
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -103,6 +104,7 @@
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
  libdnf2 (= ${binary:Version}),
  python3-libdnf (= ${binary:Version}),
+Provides: ${python3:Provides},
 Suggests: python3-hawkey-docs
 Description: Python bindings for the hawkey library (Python 3)
  A library providing simplified C and Python APIs to libsolv.
@@ -126,6 +128,7 @@
 Section: python
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
  libdnf2 (= ${binary:Version}),
+Provides: ${python3:Provides},
 Description: Python bindings for the libdnf library (Python 3)
  A library providing simplified C and Python APIs to libsolv.
  .

=== debian/rules ===
--- 
+++ 
@@ -22,16 +22,22 @@
 	else \
 		sed -i -e '/^@LIBSMARTCOLS_COMPAT@/s/^@LIBSMARTCOLS_COMPAT@//' 'libdnf/utils/smartcols/Cell.hpp'; \
 	fi
+	# Fix file format
+	iconv -f ISO-8859-15 -t UTF-8 docs/libdnf/html/common.css -o docs/libdnf/html/common.css
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build -- all doc-html doc-gtk doc
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=build
-	# Remove doctree files (redundant, conflicts with reproducible builds)
+# Remove doctree files (redundant, conflicts with reproducible builds)
 	rm -rfv 'build/docs/hawkey/html/.doctrees'
 	# Use system-provides files.
-	rm -fv 'build/docs/hawkey/html/_static/jquery.js' 'build/docs/hawkey/html/_static/underscore.js'
+	rm -fv 'build/docs/hawkey/html/_static/jquery.js' \
+	       'build/docs/hawkey/html/_static/underscore.js' \
+	       'build/docs/hawkey/html/_static/doctools.js' \
+	       'build/docs/hawkey/html/_static/language_data.js' \
+	       'build/docs/hawkey/html/_static/searchtools.js'
 
 override_dh_auto_clean:
 	rm -f 'libdnf/dnf-version.h'
@@ -39,7 +45,7 @@
 
 override_dh_auto_test:
 	mkdir '$(CURDIR)/debian/tests-home'
-	HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-V'
+	LC_ALL=C HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-V'
 
 override_dh_missing:
 	dh_missing --fail-missing

## libdnf 0.69.0

=== tests/hawkey/CMakeLists.txt ===
set(hawkeytest_SRCS
    fixtures.cpp
    test_advisory.cpp
    test_advisorypkg.cpp
    test_advisoryref.cpp
    test_goal.cpp
    test_iutil.cpp
    test_main.cpp
    test_package.cpp
    test_packagelist.cpp
    test_packageset.cpp
    test_reldep.cpp
    test_repo.cpp
    test_query.cpp
    test_sack.cpp
    test_selector.cpp
    test_subject.cpp
    test_util.cpp
    testshared.cpp
    testsys.cpp
)

add_library(testshared STATIC testshared.cpp)
set_target_properties(testshared PROPERTIES COMPILE_FLAGS -fPIC)

add_executable(test_hawkey_main ${hawkeytest_SRCS})
# The binary links in testshared which was built with -fPIC
set_target_properties(test_hawkey_main PROPERTIES COMPILE_FLAGS -fPIC)
target_link_libraries(test_hawkey_main
    libdnf
    ${CHECK_LDFLAGS}
    ${SOLV_LIBRARY}
    ${SOLVEXT_LIBRARY}
    ${RPMDB_LIBRARY}
)
add_test(test_hawkey_main test_hawkey_main "${CMAKE_CURRENT_SOURCE_DIR}/data/tests/hawkey/")
set_property(TEST test_hawkey_main PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/libdnf")

=== debian/changelog ===
libdnf (0.69.0-2) unstable; urgency=medium

  * Set myself to maintainer

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sun, 08 Jan 2023 10:08:51 +0100

libdnf (0.69.0-1) unstable; urgency=medium

  * Update to libdnf-0.69.0.
  * Update debian/control:bump debhelper-compat to 13 and update
    Build-Depends constraints.
  * Update debian/rules: remove reproducible flag being the default,
    remove not needed anymore PYTHON_DESIRED from dh_auto_configure,
    remove undeeded override of dh_install as debhelper is bumped and,
    few cleanups.
  * Update debian/watch: update to use tags endpoint.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 12 Nov 2022 15:51:20 +0100

libdnf (0.62.0-1) experimental; urgency=high

  * Update to libdnf-0.62.0

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 14 Apr 2021 14:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: libdnf
 Section: libs
 Priority: optional
-Maintainer: Mihai Moldovan <ionic@ionic.de>
-Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
-Build-Depends: debhelper-compat (= 10),
+Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-dev,
  libpython3-dev,
- cmake (>= 2.8.5-1~),
+ cmake,
  pkg-config,
- libglib2.0-dev (>= 2.50.3-2.1~),
+ libglib2.0-dev,
  libsolv-dev (>= 0.7.14-1.1~),
  libsolvext-dev (>= 0.7.14-1.1~),
  libsolv-tools (>= 0.7.14-1.1~),
  librpm-dev (>= 4.14.2.1+dfsg1-1.1~),
  libzstd-dev,
- librepo-dev (>= 1.10.0-1~),
+ librepo-dev (>= 1.14.5-1~),
  gtk-doc-tools,
  python3-sphinx,
  check,
@@ -24,7 +23,7 @@
  libssl-dev,
  libjson-c-dev,
  libmodulemd-dev,
- libsmartcols-dev (>= 2.29.2-1+deb9u1.1~),
+ libsmartcols-dev,
  libsqlite3-dev,
  gettext,
  swig,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
		-DWITH_BINDINGS:BOOL=ON \
		-DWITH_GTKDOC:BOOL=ON \
		-DWITH_HTML:BOOL=ON \
		-DWITH_MAN:BOOL=ON \
		-DENABLE_RHSM_SUPPORT:BOOL=OFF \
		-DENABLE_SOLV_URPMREORDER:BOOL=OFF \
		-DDISABLE_VALGRIND:BOOL=ON \
		-DWITH_ZCHUNK:BOOL=OFF \
		-DCMAKE_INSTALL_PREFIX:PATH="/usr" \
		-DLIB:STRING="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)"

	sed -i -e '/^@LIBSMARTCOLS_COMPAT@/s/^@LIBSMARTCOLS_COMPAT@/\/\//' 'libdnf/utils/smartcols/Cell.hpp'; \

	# Fix file format
	iconv -f ISO-8859-15 -t UTF-8 docs/libdnf/html/common.css -o docs/libdnf/html/common.css

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all doc-html doc-gtk doc

override_dh_auto_install:
	dh_auto_install --builddirectory=build

	# Remove doctree files (redundant, conflicts with reproducible builds)
	rm -rfv 'build/docs/hawkey/html/.doctrees'

	# Use system-provides files.
	rm -fv 'build/docs/hawkey/html/_static/jquery.js' \
	       'build/docs/hawkey/html/_static/underscore.js' \
	       'build/docs/hawkey/html/_static/doctools.js' \
	       'build/docs/hawkey/html/_static/language_data.js' \
	       'build/docs/hawkey/html/_static/searchtools.js'

override_dh_auto_clean:
	rm -f 'libdnf/dnf-version.h'
	dh_auto_clean --builddirectory=build

override_dh_auto_test:
	mkdir '$(CURDIR)/debian/tests-home'
	LC_ALL=C HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-V'

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	# Do not try to install a history directory within docs.
	dh_installchangelogs -Xhistory

## libdnf 0.73.2

=== debian/changelog ===
libdnf (0.73.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.73.2'

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Jun 2024 20:38:56 +0100

libdnf (0.73.1-3) unstable; urgency=medium

  * Remove workaround for dh_python3 regression, fixed in latest upload
  * Drop patch to use rpmdb in home, no longer needed

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 May 2024 20:29:03 +0100

libdnf (0.73.1-2) unstable; urgency=medium

  * Add workaround for dh_python3 regression that wrongly renames cpython
    module

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 20:17:09 +0100

libdnf (0.73.1-1) unstable; urgency=medium

  * Switch to git-buildpackage workflow
  * Update upstream source from tag 'upstream/0.73.1'
  * Drop 0006-Add-rpmdb-in-home-directory-to-checksum-and-DNF-cont.patch,
    no longer needed
  * Refresh patches for new version
  * Bump dependency on librepo-dev to 1.15.0
  * Bump dependency on rpm to 4.15.0
  * Bump dependency on modulemd to 2.11.2
  * python3-libdnf: install python metadata too
  * Drop dh_missing from d/rules, it's default in compat 13
  * Drop dependency on python3-nose, deprecated (Closes: #1018395)
  * Drop transitional libdnf1 package (Closes: #1038262)
  * python3-hawkey-doc: add dependencies on libjs-jquery and libjs-
    underscore (Closes: #988770)
  * Add d/clean to remove leftover doc files (Closes: #1045949)
  * 0013-python-tests-fix-locale-issues.patch: do not create
    python/hawkey/tests/tests/__init__.py
  * Use a patch instead of manually mangling source file (Closes: #1045949)
  * Switch to pkgconf
  * Set Rules-Requires-Root: no
  * Switch to dh-sequence-python3
  * Enable ELF metadata stamping
  * Bump Standards-Version to 4.7.0
  * Move manpage to -dev package
  * Fix typo in 0013-python-tests-fix-locale-issues.patch
  * Drop Lintian override for python3-hawkey, no longer needed

 -- Luca Boccassi <bluca@debian.org>  Mon, 15 Apr 2024 01:03:35 +0100

libdnf (0.69.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 22:13:42 +0000

libdnf (0.69.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use mkdir -p in override_dh_auto_test to fix FTBFS on buildds

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Nov 2023 19:22:17 +0000

libdnf (0.69.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move python3 modules from /usr/lib/local/ (Closes: #1052915)

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Oct 2023 15:57:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: libdnf
 Section: libs
 Priority: optional
-Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
+           Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-package-notes,
+ dh-sequence-python3,
  python3-dev,
  libpython3-dev,
  cmake,
- pkg-config,
+ pkgconf,
  libglib2.0-dev,
  libsolv-dev (>= 0.7.14-1.1~),
  libsolvext-dev (>= 0.7.14-1.1~),
  libsolv-tools (>= 0.7.14-1.1~),
- librpm-dev (>= 4.14.2.1+dfsg1-1.1~),
+ librpm-dev (>= 4.19.1.1~),
  libzstd-dev,
- librepo-dev (>= 1.14.5-1~),
+ librepo-dev (>= 1.15.0~),
  gtk-doc-tools,
  python3-sphinx,
  check,
- python3-nose,
  libgpgme-dev,
  libssl-dev,
  libjson-c-dev,
- libmodulemd-dev,
+ libmodulemd-dev (>= 2.11.2~),
  libsmartcols-dev,
  libsqlite3-dev,
  gettext,
@@ -30,12 +32,13 @@
  libcppunit-dev,
  doxygen,
  python3-breathe,
- rpm-common (>= 4.14.2.1+dfsg1-1.1~),
+ rpm-common (>= 4.19.1.1~),
  valgrind,
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/libdnf
-Vcs-Browser: https://salsa.debian.org/fepitre/libdnf
-Vcs-Git: https://salsa.debian.org/fepitre/libdnf.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libdnf
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libdnf.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: libdnf-dev
@@ -43,34 +46,26 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libdnf2 (= ${binary:Version}),
+ libdnf2t64 (= ${binary:Version}),
  libsolv-dev (>= 0.7.14-1.1~),
  libsolvext-dev (>= 0.7.14-1.1~),
-Breaks: gir1.2-libdnf-1.0 (<< ${binary:Version})
+Breaks: gir1.2-libdnf-1.0 (<< ${binary:Version}),
+        libdnf2t64 (<< 0.73.1-1~), libdnf2 (<< 0.73.1-1~),
+Replaces: libdnf2t64 (<< 0.73.1-1~), libdnf2 (<< 0.73.1-1~),
 Description: libdnf - development files
  A library providing simplified C and Python APIs to libsolv.
  .
  This package contains the development header files for the
  libdnf library.
 
-Package: libdnf1
-Depends: ${misc:Depends},
- libdnf2,
-Architecture: all
-Multi-Arch: foreign
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: libdnf2
-Provides: libdnf
+Package: libdnf2t64
+Provides: libdnf, ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libdnf2-common (= ${source:Version}),
-Replaces: libdnf1 (<< 0.35.3-1~)
-Breaks: libdnf1 (<< 0.35.3-1~)
+Replaces: libdnf2,
+Breaks: libdnf2 (<< ${source:Version}),
 Description: libdnf - shared library
  A library providing simplified C and Python APIs to libsolv.
  .
@@ -101,7 +96,7 @@
 Multi-Arch: no
 Section: python
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
- libdnf2 (= ${binary:Version}),
+ libdnf2t64 (= ${binary:Version}),
  python3-libdnf (= ${binary:Version}),
 Provides: ${python3:Provides},
 Suggests: python3-hawkey-docs
@@ -115,6 +110,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends},
+         libjs-jquery, libjs-underscore,
 Description: Python 3 bindings for the hawkey library (common documentation)
  A library providing simplified C and Python APIs to libsolv.
  .
@@ -126,7 +122,7 @@
 Multi-Arch: no
 Section: python
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
- libdnf2 (= ${binary:Version}),
+ libdnf2t64 (= ${binary:Version}),
 Provides: ${python3:Provides},
 Description: Python bindings for the libdnf library (Python 3)
  A library providing simplified C and Python APIs to libsolv.

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 %:
-	dh "${@}" --buildsystem=cmake --with=python3
+	dh "${@}" --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- \
@@ -24,9 +25,6 @@
 		-DLIB:STRING="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)"
 
 	sed -i -e '/^@LIBSMARTCOLS_COMPAT@/s/^@LIBSMARTCOLS_COMPAT@/\/\//' 'libdnf/utils/smartcols/Cell.hpp'; \
-
-	# Fix file format
-	iconv -f ISO-8859-15 -t UTF-8 docs/libdnf/html/common.css -o docs/libdnf/html/common.css
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build -- all doc-html doc-gtk doc
@@ -49,11 +47,8 @@
 	dh_auto_clean --builddirectory=build
 
 override_dh_auto_test:
-	mkdir '$(CURDIR)/debian/tests-home'
+	mkdir -p '$(CURDIR)/debian/tests-home'
 	LC_ALL=C HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-V'
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_installchangelogs:
 	# Do not try to install a history directory within docs.

## libdnf 0.73.3

=== debian/changelog ===
libdnf (0.73.3-1) unstable; urgency=high

  * Drop unused Valgrind bits
  * Update upstream source from tag 'upstream/0.73.3'
  * Update patches to remove fuzz from 0.73.3
  * Bump dependency on librepo to avoid libselinux crash

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Aug 2024 16:44:33 +0100

## libdnf 0.73.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,12 +27,14 @@
 
 # build options
 option(WITH_BINDINGS "Enables python/SWIG bindings" ON)
+option(ENABLE_STATIC "Build a static library instead of shared" OFF)
 option(WITH_GTKDOC "Enables libdnf GTK-Doc HTML documentation" ON)
 option(WITH_HTML "Enables hawkey HTML generation" ON)
 option(WITH_MAN "Enables hawkey man page generation" ON)
 option(WITH_ZCHUNK "Build with zchunk support" ON)
 option(ENABLE_RHSM_SUPPORT "Build with Red Hat Subscription Manager support?" OFF)
 option(ENABLE_SOLV_URPMREORDER "Build with support for URPM-like solution reordering?" OFF)
+option(WITH_TESTS "Enables unit tests" ON)
 
 
 # build options - debugging
@@ -49,9 +51,7 @@
 
 
 # build dependencies
-find_package(Gpgme REQUIRED)
-find_package(LibSolv 0.6.30 REQUIRED COMPONENTS ext)
-find_package(OpenSSL REQUIRED)
+find_package(LibSolv 0.7.21 REQUIRED COMPONENTS ext)
 
 
 # build dependencies via pkg-config
@@ -60,11 +60,11 @@
 include_directories(${GLIB_INCLUDE_DIRS})
 pkg_check_modules(JSONC REQUIRED json-c)
 include_directories(${JSONC_INCLUDE_DIRS})
-pkg_check_modules(LIBMODULEMD REQUIRED modulemd-2.0>=2.5.0)
-pkg_check_modules(REPO REQUIRED librepo>=0.11.0)
+pkg_check_modules(LIBMODULEMD REQUIRED modulemd-2.0>=2.11.2)
+pkg_check_modules(REPO REQUIRED librepo>=1.18.0)
 include_directories(${REPO_INCLUDE_DIRS})
 link_directories(${REPO_LIBRARY_DIRS})
-pkg_check_modules(RPM REQUIRED rpm>=4.11.0)
+pkg_check_modules(RPM REQUIRED rpm>=4.15.0)
 pkg_check_modules(SMARTCOLS REQUIRED smartcols)
 pkg_check_modules(SQLite3 REQUIRED sqlite3)
 
@@ -106,6 +106,9 @@
         message(FATAL_ERROR "Invalid PYTHON_DESIRED value: " ${PYTHON_DESIRED})
     endif()
     find_package(PythonLibs REQUIRED)
+    message(STATUS "Building for python${PYTHON_VERSION_MAJOR}")
+else()
+    message(STATUS "Not building language bindings")
 endif()
 
 
@@ -127,9 +130,6 @@
 add_definitions(-DGETTEXT_DOMAIN=\\"libdnf\\")
 add_definitions(-DG_LOG_DOMAIN=\\"libdnf\\")
 
-# gpgme: LargeFile Support is required on 32bit architectures
-add_definitions(-D_FILE_OFFSET_BITS=64)
-
 # tests
 add_definitions(-DTESTDATADIR=\\"${CMAKE_SOURCE_DIR}/data/tests\\")
 
@@ -143,6 +143,10 @@
     add_definitions(-DLIBSOLV_FLAG_URPMREORDER=1)
 endif()
 
+# If defined, libsolv adds the prefix "dep_" to solvable dependencies.
+# As a result, `requires` is renamed to `dep_requires`.
+# Needed for C++20. `requires` is a keyword in C++20.
+add_definitions(-DLIBSOLV_SOLVABLE_PREPEND_DEP)
 
 if(WITH_SANITIZERS)
     message(WARNING "Building with sanitizers enabled!")
@@ -171,8 +175,10 @@
 
 
 # build tests
+IF (WITH_TESTS)
 enable_testing()
 add_subdirectory(tests)
+ENDIF()
 if(WITH_BINDINGS)
     add_subdirectory(python/hawkey)
 endif()

=== debian/changelog ===
libdnf (0.73.4-2) unstable; urgency=medium

  * Backport patch to fix libdnf segfault

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jan 2025 11:16:37 +0000

libdnf (0.73.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.73.4'
  * Refresh patches to remove fuzz

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Nov 2024 12:17:18 +0000

## libdnf 0.74.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
+# cmake requirements and policies
+cmake_minimum_required(VERSION 3.5.0)
+# Avoid a warning because "hth" links to
+# the in-tree libhawkey, but uses pkg-config to find
+# GLib.  There may be a better way to do this...
+cmake_policy(SET CMP0003 NEW)
+
 # print initial information about the project
 message("Running CMake on libdnf...")
 project(libdnf C CXX)
 
-
-# cmake requirements and policies
-cmake_minimum_required(VERSION 2.8.5)
-cmake_policy(SET CMP0005 OLD)
-# Avoid a warning because "hth" links to
-# the in-tree libhawkey, but uses pkg-config to find
-# GLib.  There may be a better way to do this...
-cmake_policy(SET CMP0003 NEW)
+# GNUInstallDirs requires a language set with project()
 include(GNUInstallDirs)
-
 
 # use project specific cmake modules
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
@@ -121,17 +120,17 @@
 set(CMAKE_MACOSX_RPATH 0)
 
 # package/project version
-add_definitions(-DPACKAGE_VERSION=\\"${LIBDNF_VERSION}\\")
+add_definitions(-DPACKAGE_VERSION="${LIBDNF_VERSION}")
 
 # The libdnf API is under development now. This enables it for internal usage.
 add_definitions(-DLIBDNF_UNSTABLE_API)
 
 # gettext
-add_definitions(-DGETTEXT_DOMAIN=\\"libdnf\\")
-add_definitions(-DG_LOG_DOMAIN=\\"libdnf\\")
+add_definitions(-DGETTEXT_DOMAIN="libdnf")
+add_definitions(-DG_LOG_DOMAIN="libdnf")
 
 # tests
-add_definitions(-DTESTDATADIR=\\"${CMAKE_SOURCE_DIR}/data/tests\\")
+add_definitions(-DTESTDATADIR="${CMAKE_SOURCE_DIR}/data/tests")
 
 # librhsm
 if(ENABLE_RHSM_SUPPORT)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
+add_subdirectory(libdnf/conf)
 add_subdirectory(libdnf/module/modulemd)
 add_subdirectory(libdnf/module)
 add_subdirectory(libdnf/repo)
 add_subdirectory(libdnf/transaction)
+add_subdirectory(libdnf/sack)
 add_subdirectory(hawkey)
 add_subdirectory(libdnf)

=== debian/changelog ===
libdnf (0.74.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.74.0'
  * Refresh patch to remove fuzz from new version
  * Drop 0015-fix-segfault.patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Sat, 08 Mar 2025 12:29:37 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libsolv-tools (>= 0.7.14-1.1~),
  librpm-dev (>= 4.19.1.1~),
  libzstd-dev,
- librepo-dev (>= 1.15.0~),
+ librepo-dev (>= 1.18.1~),
  gtk-doc-tools,
  python3-sphinx,
  check,
@@ -33,7 +33,6 @@
  doxygen,
  python3-breathe,
  rpm-common (>= 4.19.1.1~),
- valgrind,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/libdnf
